import {
  __decorateClass
} from "../../chunks/chunk.QU3DSPNU.js";
import { property } from "lit/decorators.js";
function withImageProps(base) {
  class ImagePropsMixin extends base {
    constructor() {
      super(...arguments);
      this.loading = "lazy";
      this.decoding = "auto";
    }
  }
  __decorateClass([
    property({ reflect: false })
  ], ImagePropsMixin.prototype, "src", 2);
  __decorateClass([
    property({ reflect: false })
  ], ImagePropsMixin.prototype, "srcset", 2);
  __decorateClass([
    property({ reflect: false })
  ], ImagePropsMixin.prototype, "sizes", 2);
  __decorateClass([
    property({ reflect: false })
  ], ImagePropsMixin.prototype, "alt", 2);
  __decorateClass([
    property({ reflect: false })
  ], ImagePropsMixin.prototype, "loading", 2);
  __decorateClass([
    property({ reflect: false })
  ], ImagePropsMixin.prototype, "decoding", 2);
  return ImagePropsMixin;
}
export {
  withImageProps
};
